Steam游戏新闻

GET Steam Steam游戏PC游戏

查询 Steam 游戏最新新闻动态。

GET https://api.tinyaii.cn/v1/steam/news

请求参数

参数名类型必填说明示例
appidint可选Steam AppID—
namestring可选游戏名称—
countint可选新闻数量,默认5—

返回字段

字段类型说明
data.appidintSteam AppID
data.countint新闻数量
data.newsarray新闻列表
data.news[].titlestring标题
data.news[].urlstring链接
data.news[].authorstring作者
data.news[].contentsstring内容摘要
data.news[].dateint发布时间戳
data.news[].feedlabelstring来源标签

返回示例

{
  "code": 200,
  "data": {
    "appid": 730,
    "count": 2,
    "news": [
      {
        "author": "Vitaliy",
        "contents": "\\Added display of lowest and highest sticker price in the last 7 days in the Cologne 2026 Major Shop.Added stickers showcase to the Cologne 2026 Major Hub tile on the main menu.\\Added multi-select functionality in Storage Units deposit/retrieve UI.Added appropriate error message when user's inventor...",
        "date": 1781126525,
        "feedlabel": "Community Announcements",
        "title": "Counter-Strike 2 Update",
        "url": "https://steamstore-a.akamaihd.net/news/externalpost/steam_community_announcements/1835236783558731"
      },
      {
        "author": "brianlev",
        "contents": "\\Added ability to bookmark stickers in Cologne 2026 Shop.\\Added convar r_spectator_flashbang_opacity to control flashbang opacity for remote spectators.Flashbang effect for remote spectators now renders underneath the HUD.Stability improvements\\AncientUpdated clipping to prevent certain boost locati...",
        "date": 1780013843,
        "feedlabel": "Community Announcements",
        "title": "Counter-Strike 2 Update",
        "url": "https://steamstore-a.akamaihd.net/news/externalpost/steam_community_announcements/1833968530889736"
      }
    ]
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/steam/news?appid=1&name=<name>" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/steam/news?appid=1&name=<name>", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/steam/news",
    params={"appid": "1", "name": "<name>"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。